using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.TL
{
    /// <summary>
    /// 隐蔽工程验收管理 附件
    /// </summary>
    [Description("隐蔽工程验收管理 附件")]
    public class T_TL_PROJECT_HIGHT_FILE : MesEntityBase
    {
        /// <summary>
        /// 单项工程记录管理
        /// </summary>
        [Description("单项工程记录管理")]
        [DataFieldForeignKey("Nav_Hight", "Nav_Files")]
        public Guid HIGHT_ID { get; set; }

        /// <summary>
        /// 单项工程记录管理
        /// </summary>
        [Description("单项工程记录管理")]
        public virtual T_TL_PROJECT_HIGHT Nav_Hight { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
